\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{angles,quotes}
\usetikzlibrary{calc}
\begin{document}
\begin{tikzpicture}[>=latex]
  \coordinate (O) at (0,0);
  
  % x axis
  \draw[->, gray] (O) -- (4,0) node[right] {$W$};
  
  % y axis
  \draw[->, gray] (O) -- (0,3) node[left] {$VA_r$};

  % P
  \def \PM{3};
  \draw[->] (O) -- (\PM,0) coordinate (P) node[midway, below] {$\vec{P}$};

  % QL
  \def \x{1mm}
  \def \QLM{3};
  \draw[->] ($(P)+(\x,0)$) -- ++(90:\QLM) coordinate (QL) node[midway, right] {$\vec{Q}_L$};
  
  % QC
  \def \QCM{2};
  \draw[->] ($(QL)+(-\x,0)$) -- ++(-90:\QCM) coordinate (Q) node[midway, left] {$\vec{Q}_C$};

  % Q
  \draw[->] (P) -- (Q) node[midway, left] {$\vec{Q}$};
  
  % S
  \draw[->] (O) -- (Q) coordinate (S) node[midway, above] {$\vec{S}$};

  % angle
  \draw pic[draw,angle radius=8mm,angle eccentricity=1.4,"$\varphi$"]
        {angle = P--O--S};
        
\end{tikzpicture}
\end{document}
